function_wrapper.hpp File Reference
`#include <algorithm>`
`#include <memory>`
Include dependency graph for function_wrapper.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::thread::function_wrapper
struct | osmium::thread::function_wrapper::impl_base
struct | osmium::thread::function_wrapper::impl_type< F >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::thread
| Threading-related low-level code.